



function yout = ode2(F,t0,h,tfinal,y0)
% ODE1 A simple ODE solver.
%  yout = ode1(F,t0,h,tfinal,y0) uses Euler's 
%  method with fixed step size h on the intervall
%  t0 <=t <= tfinal
%  to solve 
%     dy/dt = F(t,y) 
%  with y(t0) = y0

    y = y0;
    yout = y;
    
    for t = t0 : h : tfinal-h
       s1 = F(t,y);
       s2 = F(t + h/2 , y+ (h/2)*s1);
       y = y+ h*s2;
       yout = [yout, y];
    end
end

